CREATE TABLE irc_bc_req_sp_assgmnts (
    REQ_SP_ASSGMNT_ID        NUMBER(18, 0) ,
    OBJECT_STATUS            VARCHAR2(120) ,
    REQUISITION_ID           NUMBER(18, 0)     NOT NULL,
    PROVISIONING_ID          NUMBER(18, 0)     NOT NULL,
    ACCOUNT_ID               NUMBER(18, 0) ,
    PHASE_ID                 NUMBER(18, 0) ,
    STATE_ID                 NUMBER(18, 0) ,
    ENTERING_PHASE_FLAG      VARCHAR2(4)   ,
    LEAVING_PHASE_FLAG       VARCHAR2(4)   ,
    EVENT_CODE               VARCHAR2(240) ,
    SCR_PKG_CODE             VARCHAR2(120) ,
    SCR_PKG_NAME             VARCHAR2(2000)    NOT NULL,
    SCR_SEQUENCE             NUMBER(4, 0)  ,
    ADDED_BY                 VARCHAR2(256)     NOT NULL,
    ADDED_DATE               DATE              NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    REQ_SP_ASSGMNT_ID        NUMBER(18, 0) ,
    OBJECT_STATUS            VARCHAR2(120) ,
    REQUISITION_ID           NUMBER(18, 0)     NOT NULL,
    PROVISIONING_ID          NUMBER(18, 0)     NOT NULL,
    ACCOUNT_ID               NUMBER(18, 0) ,
    SCR_PKG_CODE             VARCHAR2(120) ,
    SCR_PKG_NAME             VARCHAR2(2000)    NOT NULL,
    SCR_SEQUENCE             NUMBER(4, 0)  ,
    ADDED_BY                 VARCHAR2(256)     NOT NULL,
    ADDED_DATE               DATE              NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    PHASE_ID                 NUMBER(18, 0) ,
    STATE_ID                 NUMBER(18, 0) ,
    ENTERING_PHASE_FLAG      VARCHAR2(4)   ,
    LEAVING_PHASE_FLAG       VARCHAR2(4)   ,
    EVENT_CODE               VARCHAR2(240) ,
    CONSTRAINT pk_irc_bc_req_sp_assgmnts PRIMARY KEY (REQ_SP_ASSGMNT_ID, REQ_SP_ASSGMNT_ID)
);
